/*grafica huellas a   16 colores
  se autoriza el uso y distribucion libre de este programa
  Fernando Galindo Soria   26/iii/2002   Cd. de Mexico
  www.fgalindosoria.com    fgalindo@ipn.mx*/
#include <graphics.h>
#include <conio.h>

void main()
{ int x, y, z=1;
  int gd=DETECT,gm;
  initgraph(&gd,&gm,"");

  while(!kbhit()){
    for(x=1; x<getmaxx()/2; x++)
      for(y=1; y<getmaxy()/2; y++)
	putpixel(x*2,y*2,z%(x*y));
    z+=100;}

  getch();
  closegraph();
}